Bug 1910057 - Review Request: php-nikic-fast-route - Fast implementation of a regular expression based router
Summary: Review Request: php-nikic-fast-route - Fast implementation of a regular expre...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1932174
TreeView+ depends on / blocked
 
Reported: 2020-12-22 13:42 UTC by Remi Collet
Modified: 2021-03-25 01:14 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-19 20:17:59 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Remi Collet 2020-12-22 13:42:45 UTC
Spec URL: https://git.remirepo.net/cgit/rpms/php/nikic/php-nikic-fast-route.git/plain/php-nikic-fast-route.spec?id=45665b6eafb4d0eebf72a5471e8b516b8bac6cab
SRPM URL: https://rpms.remirepo.net/SRPMS/php-nikic-fast-route-1.3.0-6.remi.src.rpm
Description: 
Fast implementation of a regular expression based router.


Fedora Account System Username: remi


----

Re-Review for retired package (in F33)
Change from previous version
https://git.remirepo.net/cgit/rpms/php/nikic/php-nikic-fast-route.git/diff/php-nikic-fast-route.spec?id=45665b6eafb4d0eebf72a5471e8b516b8bac6cab

Needed by phpMyAdmin upcoming version 5.1

Comment 1 Robert-André Mauchin 🐧 2021-03-15 15:10:08 UTC
Package approved.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "BSD 3-clause "New" or "Revised"
     License". 38 files have unknown license. Detailed output of
     licensecheck in /home/bob/packaging/review/php-nikic-fast-
     route/review-php-nikic-fast-route/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

PHP:
[!]: Run phpci static analyze on all php files.
     Note: phpcompatinfo not found. Install php-bartlett-PHP-CompatInfo
     package to get a more comprehensive php review.
     See: url: undefined


Rpmlint
-------
Checking: php-nikic-fast-route-1.3.0-6.fc35.noarch.rpm
          php-nikic-fast-route-1.3.0-6.fc35.src.rpm
php-nikic-fast-route.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-nikic-fast-route.noarch: E: description-line-too-long C http://nikic.github.io/2014/02/18/Fast-request-routing-using-regular-expressions.html
php-nikic-fast-route.src: W: spelling-error %description -l en_US usr -> use, us, user
php-nikic-fast-route.src: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-nikic-fast-route.src: E: description-line-too-long C http://nikic.github.io/2014/02/18/Fast-request-routing-using-regular-expressions.html
php-nikic-fast-route.src:74: W: rpm-buildroot-usage %build require_once '%{buildroot}%{php_home}/%{gh_project}/autoload.php';
2 packages and 0 specfiles checked; 2 errors, 4 warnings.

Comment 2 Remi Collet 2021-03-16 05:29:38 UTC
Thanks for the review


Releng ticket to unretire

https://pagure.io/releng/issue/9917

Comment 4 Fedora Update System 2021-03-16 13:00:02 UTC
FEDORA-2021-0e5c3b9d2c has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-0e5c3b9d2c

Comment 5 Fedora Update System 2021-03-16 13:00:05 UTC
FEDORA-2021-895a56fedd has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2021-895a56fedd

Comment 6 Fedora Update System 2021-03-16 13:00:06 UTC
FEDORA-2021-943cc6bd71 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-943cc6bd71

Comment 7 Fedora Update System 2021-03-16 14:44:40 UTC
FEDORA-2021-943cc6bd71 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-943cc6bd71 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-943cc6bd71

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-03-17 01:41:40 UTC
FEDORA-2021-0e5c3b9d2c has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-0e5c3b9d2c \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-0e5c3b9d2c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-03-17 01:49:47 UTC
FEDORA-2021-895a56fedd has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-895a56fedd \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-895a56fedd

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2021-03-19 20:17:59 UTC
FEDORA-2021-943cc6bd71 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2021-03-24 02:39:40 UTC
FEDORA-2021-0e5c3b9d2c has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2021-03-25 01:14:54 UTC
FEDORA-2021-895a56fedd has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.